Description

Video showing the silent error. https://youtu.be/5oKFkSGp7eI

Also, it`s now 10x times more non-intuitive to find the error log messages, and when i get a silent error, it`s not a error. It`s a bug.

A error it`s when i get a feedback. Hi user, you pressed a key and you did not get a result because of ...

Not having to search half the menu of QGIs to find if it is really a error or not.

Steps to replicate.

    1. Download and load into PostGIS the GADM 2.8 dataset 

    2. Run this Query 

select ROW_NUMBER() over () as id,name_0,name_1,st_union(geom) as the_geom  from  gadm28 group by name_0,name_1 limit

5

    3. click the Load as new Layer, select id as id and the_geom as geom

    4. click Load Now, filter or anything and watch as nothing happens. 

    5. Search half of Qgis to find out how to find a error log

    6. After half a hour of searching, paste it here and see if it the same error that i got :

Connection error: SELECT * FROM (

            select ROW_NUMBER() over () as id,name_0,name_1,st_union(geom) as the_geom  from  gadm28 group by

name_0,name_1 limit 5

            ) AS "subQuery_0" LIMIT 1 returned 1 [server closed the connection unexpectedly

                This probably means the server terminated abnormally

                before or while processing the request.

            ]

2016-04-25T16:39:03    1    Unable to execute the query.

            The error message from the database was:

            no result buffer.

            SQL: SELECT * FROM (

            select ROW_NUMBER() over () as id,name_0,name_1,st_union(geom) as the_geom  from  gadm28 group by

name_0,name_1 limit 5

            ) AS "subQuery_0" LIMIT 1

History

#1 - 2016-04-28 12:54 AM - Giovanni Manghi

- Priority changed from Severe/Regression to Normal

- Affected QGIS version changed from master to 2.14.0

- Status changed from Open to Feedback
https://youtu.be/5oKFkSGp7eI


I'm changing the affected version because in your screencast you are not using master.

Then is not clear what is the real issue here:

is this ticket about, in your opinion, the not friendly place where to look for log messages?

or is about the above query?

If it is the latter here it works with no problems, so it seems that the error

[server closed the connection unexpectedly

This probably means the server terminated abnormally

before or while processing the request.

]

is probably something that you have to take care locally.

please leave feedback (by the way, thanks for having started leaving feedback in some of your tickets).

#2 - 2016-04-28 01:21 AM - Jürgen Fischer

Check the PostgreSQL server's log to find why the session crashes.

#3 - 2016-05-10 03:33 AM - baditaflorin -

The main problem it`s the silent error.

This will frustrate the user and will not help him fixing the error that does not allow him to load the data that the user wants to load.

Debugging the issue becomes impossible because it`s so hard to find the error log.

The expected behavior should be :

I want to load something, if there is an error, give me a prompt so that i know what the error is. 

Not a silent error and i will be left clueless

#4 - 2016-05-23 07:55 AM - Giovanni Manghi

baditaflorin - wrote:

The main problem it`s the silent error.

This will frustrate the user and will not help him fixing the error that does not allow him to load the data that the user wants to load.

Debugging the issue becomes impossible because it`s so hard to find the error log.

The expected behavior should be :

I want to load something, if there is an error, give me a prompt so that i know what the error is. 

Not a silent error and i will be left clueless
fair enough, but this is a different issues from the one you reported (seemingly caused by some local issue with your server).

This ticket should change title/description and arguably become a feature request for a better and more visible log messages.

#5 - 2016-07-03 07:42 AM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

- OS version deleted (7)

- Operating System deleted (windows)

- Status changed from Feedback to Open

- Subject changed from No result buffer error when trying to load data into Qgis from PostGIS to more viisble log/error messages

#6 - 2016-07-03 08:24 AM - Harrissou Santanna

- Subject changed from more viisble log/error messages to more visible log/error messages

#7 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No
